

%define svn svn190

%if %svn
%define rel 0.pre0.1
%else
%define rel 1
%endif

%define pclo 1

%{?_with_pclo: %global pclo 1}
%{?_without_pclo: %global pclo 0}

%if %pclo
%define release	%mkrel %rel
%else
%define distinitials mdv
%define distversion %(rpm -qf --qf='%{VERSION}' /etc/mandrake-release)
%define disttag %{distinitials}%{distversion}
%define release %rel.%{disttag}.mde
%endif

%define	name	qemu-launcher
%define	version	1.8.0

Summary:	Interface to configure and launch Qemu	
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Emulators
URL:		http://emeitner.f2o.org/projects/qemu-launcher/	
%if %svn
Source0:	qemulaunch-%{svn}.tar.bz2
%else
Source0:	%{name}_%{version}.tar.gz
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	perl-Locale-gettext >= 1.04
Requires:	perl-Gtk2-GladeXML
Requires:	qemu >= 0.8.2
BuildRequires:	librsvg
BuildRequires:	libxml2-utils
BuildRequires:	desktop-file-utils
#BuildRequires:	ImageMagick

%description
A launcher for Qemu that manages Qemu configs and creates disk images
Qemu-launcher provides a point and click interface to Qemu. It also
allows you to create, save, load, and run multiple Qemu VM
configurations. It has a basic interface for creating or convertering
disk images.

Only supports the x86 PC emulator part of Qemu.

%prep
%if %svn
%setup -q -n qemulaunch
%else
%setup -q
%endif

%build
#perl -pi -e 's|/usr/local|/usr|g' Makefile
#perl -pi -e 's|/usr/local|/usr|g' %{name}.pl

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std DESTDIR=%buildroot PREFIX=%_prefix

%find_lang %name

desktop-file-install --vendor="" \
 --remove-category="Application" \
 --add-category="X-MandrivaLinux-MoreApplications-Emulators;Emulator" \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
rsvg-convert -a -w 48 -w 48 %buildroot%_iconsdir/hicolor/scalable/apps/qemu-launcher.svg -o %buildroot%_liconsdir/qemu-launcher.png
rsvg-convert -a -w 32 -w 32 %buildroot%_iconsdir/hicolor/scalable/apps/qemu-launcher.svg -o %buildroot%_iconsdir/qemu-launcher.png
rsvg-convert -a -w 16 -w 16 %buildroot%_iconsdir/hicolor/scalable/apps/qemu-launcher.svg -o %buildroot%_miconsdir/qemu-launcher.png

rm -rf %buildroot/%{_datadir}/doc/%name

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%clean_desktop_database
%clean_icon_cache hicolor

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc README

%{_bindir}/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.xpm
%{_datadir}/%name
%{_mandir}/man1/qemu-launcher.1.bz2
%{_datadir}/applications/qemu-launcher.desktop
%{_iconsdir}/hicolor/*/apps/qemu-launcher.*

%changelog
* Mon Feb 19 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.8.0-0.pre0.1
- 1.8.0 pre0

* Wed Dec 27 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.7.3-1
- 1.7.3
- initial build for pclinuxos 2007

* Sun May 20 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.7.0-0.svn44.1
- svn44

* Fri May 18 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.7.0-0.svn41.1
- svn41

* Tue Apr 25 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.5.1-1
- 1.5.1
- Fix spec for mde

* Wed Mar 29 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.5-3
- Fix spec for mde

* Thu Dec 22 2005 Pascal Terjan <pterjan@mandriva.org> 1.5-2mdk
- BuildRequires ImageMagick

* Mon Nov 14 2005 Pascal Terjan <pterjan@mandriva.org> 1.5-1mdk
- 1.5
- Drop P0
- mkrel

* Tue May 24 2005 Pascal Terjan <pterjan@mandriva.org> 1.3-2mdk
- P0 (drop unsupported -keyboard)

* Mon May 23 2005 Pascal Terjan <pterjan@mandriva.org> 1.3-1mdk
- First Package
